<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (empty($user_id)) go(URL);

if (!empty($_GET['new']) && is_numeric($_GET['new'])) // Заявка на дружбу
{

	$id = abs(intval($_GET['new']));	
	if ($user_id == $id) go(URL);
	$result = mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_user = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1"));
	else exit;

	if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `friends` WHERE `user_id` = '".$user_id."' AND `friend_id` = '".$id."' LIMIT 1"),0) == true) go(URl.'/?id='.$id);
	
	require_once 'handler/new.php';
	
	$title = $arr_user['name'].' '.$arr_user['surname'];
	if ($window == false) require_once '../incfiles/head.php';

	echo '<div class="title">
	'.($window == true?'<div class="right"><a href="" onclick="Window.Close(); return false"><img src="'.URL.'/design/img/del.png"/></a></div>':'').'
	'.lang('Предложить дружбу','Запропонувати дружбу').'</div>
	<div class="block">'.lang('Отправить пользователю заявку на дружбу?','Надіслати користувачу заявку на дружбу?').'<br/><br/>
	<a class="button2" href="'.URL.'/friends/new.php?new='.$id.'&send=ok" onclick="Page.Go(this.href); return false">'.lang('Отправить','Надіслати').'</a>
	<a class="button2" href="'.URL.'/?id='.$id.'"onclick="Page.Go(this.href);return false">'.lang('Отменить','Скасувати').'</a>
	</div>';
	
} else exit;

require_once '../incfiles/foot.php';

?>